Package org.eclipse.graphiti.features.custom

# Interface ICustomFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`

All Known Implementing Classes:
  `AbstractAsynchronousCustomFeature`, `AbstractCustomFeature`, `AbstractDrillDownFeature`, `DebugFeature`

public interface ICustomFeature extends IFeature
The Interface ICustomFeature.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExecute(ICustomContext context)`
Can execute.
`void`
`execute(ICustomContext context)`
Execute.
`String`
`getImageId()`
Gets the image id.

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

## Method Details

### getImageId

String getImageId()
Gets the image id.

Returns:
  the image id

### canExecute

boolean canExecute(ICustomContext context)
Can execute.

Parameters:
  `context` - the context
Returns:
  true, if successful

### execute

void execute(ICustomContext context)
Execute.

Parameters:
  `context` - the context